// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Game.hpp"

using namespace Dawn;

Game::Game() {

}

void Game::init() {
  renderHost.init();
  inputManager.init(shared_from_this());
}

void Game::update() {
  renderHost.update();
}

bool_t Game::isCloseRequested() {
  return (
    renderHost.isCloseRequested()
  );
}

Game::~Game() {

}